Subject: bug#73948: closed (Re: [bug#73948] [PATCH 0/2] 'derivation-build-plan' returns builds in topological order)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 12 Nov 2024 23:04:02 +0000

Your bug report

#73948: [PATCH 0/2] 'derivation-build-plan' returns builds in topological order

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73948: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73948
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#73948] [PATCH 0/2] 'derivation-build-plan' returns builds in topological order
From: Ludovic Courtès <[email-masked]>
To: <[email-masked]>
Cc: [email-masked], Josselin Poiret <[email-masked]>, Simon Tournier <[email-masked]>, Mathieu Othacehe <[email-masked]>, Tobias Geerinckx-Rice <[email-masked]>, Christopher Baines <[email-masked]>
Date: Wed, 13 Nov 2024 00:03:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

<[email-masked]> skribis:

> Ludovic Courtès writes:
>
> Hi,
>
>> There’s one situation in ‘cuirass remote-worker’ where I found that it
>> would be more convenient for ‘derivation-build-plan’ to return the list of
>> builds in topological order, so a worker can perform them sequentially
>> in the right order.
>>
>> From a UI viewpoint, it also seems to make more sense to display the
>> list of things to build in topological order.
>>
>> Thoughts?
>
> LGTM, and lovely.
>
> Having this sorted would be a big help, I'm often trying to figure this
> out by traversing drvs!

Thanks for your feedback.  Pushed as
f7a0be4d736a56403fd9bd630dc723f59f348453!

Ludo’.

Subject: [PATCH 0/2] 'derivation-build-plan' returns builds in topological order
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Cc: Ludovic Courtès <[email-masked]>
Date: Tue, 22 Oct 2024 15:21:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

There’s one situation in ‘cuirass remote-worker’ where I found that it
would be more convenient for ‘derivation-build-plan’ to return the list of
builds in topological order, so a worker can perform them sequentially
in the right order.

>From a UI viewpoint, it also seems to make more sense to display the
list of things to build in topological order.

Thoughts?

Ludo’.

Ludovic Courtès (2):
  derivations: ‘derivation-build-plan’ returns builds in topological
    order.
  ui: ‘show-what-to-build’ displays builds in topological order.

 guix/derivations.scm  | 74 +++++++++++++++++++++++++------------------
 guix/ui.scm           |  2 +-
 tests/derivations.scm | 31 ++++++++++++++++--
 3 files changed, 73 insertions(+), 34 deletions(-)

base-commit: 42612e3bdfb201dbd47d6b8ffc75345199a96a80
-- 
2.46.0